// ------------------------------------------------------------------------------
// AngularV1 - http://www.arkitus.com
// Copyright (C) 2006  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// Trail.java
// The cursors' trails.
// ------------------------------------------------------------------------------

class Trail
{
  float x1;
  float y1;
  float x2;
  float y2;
  float a;
  
  Trail( float X1, float Y1, float X2, float Y2 )
  {
    x1 = X1;
    y1 = Y1;
    x2 = X2;
    y2 = Y2;
    a = 250;
  }
  
  void update()
  {
    if ( a - 500/SETTINGS_MAXTRAILS >= 0 )
    {
      a -= 500/SETTINGS_MAXTRAILS;
    }  
  }
  
  void display()
  {
    stroke(200,200,200,a);
    strokeWeight(1);
    line(x1,y1,x2,y2);
  }
}
